Bug 232622 - Review Request: perl-XML-Validator-Schema - Validate XML against a subset of W3C XML Schema
Summary: Review Request: perl-XML-Validator-Schema - Validate XML against a subset of ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 232618
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 13:28 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 17:05:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-16 13:28:23 UTC
Spec URL: http://home.bawue.de/~ixs/perl-XML-Validator-Schema/perl-XML-Validator-Schema.spec
SRPM URL: http://home.bawue.de/~ixs/perl-XML-Validator-Schema/perl-XML-Validator-Schema-1.08-1.src.rpm
Description:

This module allows you to validate XML documents against a W3C XML Schema.
This module does not implement the full W3C XML Schema recommendation
(http://www.w3.org/XML/Schema), but a useful subset.

Comment 1 Parag AN(पराग) 2007-03-23 11:06:54 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4f9decc25d2b484df80ee4adfa912f12  XML-Validator-Schema-1.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01basic.......ok
t/02yaml........

                ======> Testing against XML::SAX::PurePerl <======




                ======> Testing against XML::LibXML::SAX <======

ok
t/03types.......ok
t/04model.......ok
t/05xerces......skipped
        all skipped: Test requires $XERCES_DOMCOUNT
t/06passthru....skipped
        all skipped: Test requires XML::SAX::Writer
t/07locator.....ok
        1/2 skipped: These tests require XML::SAX::ExpatXS
All tests successful, 2 tests and 1 subtest skipped.
Files=7, Tests=658,  4 wallclock secs ( 2.66 cusr +  0.24 csys =  2.90 CPU)

+ Provides: perl(XML::Validator::Schema) = 1.08
perl(XML::Validator::Schema::AllModelNode)
perl(XML::Validator::Schema::Attribute)
perl(XML::Validator::Schema::AttributeLibrary)
perl(XML::Validator::Schema::ChoiceModelNode)
perl(XML::Validator::Schema::ComplexTypeNode)
perl(XML::Validator::Schema::ElementLibrary)
perl(XML::Validator::Schema::ElementNode)
perl(XML::Validator::Schema::ElementRefNode)
perl(XML::Validator::Schema::Library) perl(XML::Validator::Schema::ModelNode)
perl(XML::Validator::Schema::Node) perl(XML::Validator::Schema::Parser)
perl(XML::Validator::Schema::RootNode)
perl(XML::Validator::Schema::SequenceModelNode)
perl(XML::Validator::Schema::SimpleType)
perl(XML::Validator::Schema::SimpleTypeNode)
perl(XML::Validator::Schema::TypeLibrary) perl(XML::Validator::Schema::Util)

APPROVED.


Comment 2 Andreas Thienemann 2007-03-23 14:13:45 UTC
New Package CVS Request
=======================
Package Name: perl-XML-Validator-Schema
Short Description: Validate XML against a subset of W3C XML Schema
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Andreas Thienemann 2007-03-23 17:05:43 UTC
Thx for the review. Package has been built for devel, FC-5 and FC-6.
Closing as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.